rte_crypto_dh_op_param(3)

NAME
rte_crypto_dh_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_ke_type ke_type
rte_crypto_uint priv_key
rte_crypto_uint pub_key
rte_crypto_uint shared_secret

Detailed Description

Diffie-Hellman Operations params.

Note
    :

Definition at line 503 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_ke_type ke_type
Key exchange operation type

Definition at line 504 of file rte_crypto_asym.h.

  rte_crypto_uint priv_key
Output - generated private key when ke_type is RTE_CRYPTO_ASYM_KE_PRIV_KEY_GENERATE.

Input - private key when ke_type is one of: RTE_CRYPTO_ASYM_KE_PUB_KEY_GENERATE, RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE.

In case priv_key.length is 0 and ke_type is set with RTE_CRYPTO_ASYM_KE_PUB_KEY_GENERATE, CSRNG capable device will generate a private key and use it for public key generation.

Definition at line 506 of file rte_crypto_asym.h.

  rte_crypto_uint pub_key
Output - generated public key when ke_type is RTE_CRYPTO_ASYM_KE_PUB_KEY_GENERATE.

Input - peer's public key when ke_type is RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE.

Definition at line 520 of file rte_crypto_asym.h.

  rte_crypto_uint shared_secret
Output - calculated shared secret when ke_type is RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE.

Definition at line 528 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.